#include <bits/stdc++.h>
using namespace std;

int main()
{
    int zbir = 0;
    int n, m, a, b;
    cin >> n >> m;
    int c[n];
    int d[n];

    for(int i = 1; i <= n;i++){
        cin >> c[i];
        d[i]  = 0;}
    for(int i = 0; i < m;i++){
        cin >> a >> b;
        if(abs(c[a]) >= abs(c[b])){
            if(c[a] < 0){
                d[a]--; d[b]--;}
           else {d[a]++; d[b]++;}

           }

       else if(abs(c[a]) < abs(c[b])){
            if(c[b] < 0){
            d[a]--; d[b]--;}
        else {d[a]++; d[b]++;}
}}

        for(int i = 1; i <= n;i++)
        zbir+= c[i] * d[i];
        cout << zbir ;




    return 0;
}